package it.eng.spago.base;

import java.util.Locale;

import javax.portlet.PortletConfig;
import javax.portlet.PortletRequest;
import javax.portlet.PortletResponse;
import javax.portlet.PortletSession;

public class PortletAccess {

	static ThreadLocal portletRequest = new ThreadLocal(); 
	static ThreadLocal portletResponse = new ThreadLocal();
	static PortletConfig portletConfig = null;
	//static ThreadLocal browserLocale = new ThreadLocal();
	//static Locale portalLocale = null;
	
	
	static public void setPortletRequest(PortletRequest req) {
		portletRequest.set(req);
	}
	
	static public void setPortletResponse(PortletResponse resp) {
		portletResponse.set(resp);
	}
	
//	static public void setBrowserLocale(Locale local) {
//		browserLocale.set(local);
//	}
	
//	static public void setPortalLocale(Locale local) {
//		portalLocale = local;
//	}
	
	static public void setPortletConfig(PortletConfig conf) {
		portletConfig = conf;
	}


	
	static public PortletRequest getPortletRequest() {
		PortletRequest request = null;
		try{
			request = (PortletRequest)portletRequest.get();
		} catch(Exception e) {
			// ignore
		}
		return request;
	}
	
	static public PortletResponse getPortletResponse() {
		PortletResponse response = null;
		try {
			response = (PortletResponse)portletResponse.get(); 
		} catch (Exception e) {
			// ignore
		}
		return response;
	}
	
	
	
	static public PortletConfig getPortletConfig() {
		return portletConfig;
	}
	
	
	static public Locale getBrowserLocale() {
		PortletRequest request = null;
		try{
			request = (PortletRequest) portletRequest.get();
		} catch(Exception e) {
			// ignore
		}
		PortletSession portletSession = request.getPortletSession();
		Locale browserLocale = (Locale) portletSession.getAttribute("BrowserLocale");
		return browserLocale;
//		Locale locale = null;
//		try {
//			locale = (Locale)browserLocale.get();
//		} catch (Exception e) {
//			// ignore
//		}
//		return locale;
	}
	
	
	
	static public Locale getPortalLocale() {
		PortletRequest request = null;
		try{
			request = (PortletRequest) portletRequest.get();
		} catch(Exception e) {
			// ignore
		}
		PortletSession portletSession = request.getPortletSession();
		Locale portalLocale = (Locale) portletSession.getAttribute("PortalLocale");
		return portalLocale;
//		return portalLocale;
	}
	

}
	





